/*
 * Copyright 2019 WeBank
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.webank.wedatasphere.dss.appjoint.service;


import com.webank.wedatasphere.dss.appjoint.exception.AppJointErrorException;
import com.webank.wedatasphere.dss.appjoint.service.session.Session;
import com.webank.wedatasphere.dss.common.entity.project.Project;

import java.util.List;

/**
 * Created by enjoyyin on 2019/9/16.
 */
public interface ProjectService extends AppJointUrl {

    List<Project> fetchProjects(Session session) throws AppJointErrorException;

    Project createProject(Project project, Session session) throws AppJointErrorException;

    void deleteProject(Project project, Session session) throws AppJointErrorException;

    default Project getProject(Project project, Session session) throws AppJointErrorException {
        return null;
    }

    void updateProject(Project project, Session session) throws AppJointErrorException;
}
